#pragma once
#include "afxwin.h"

#include "ScannerAPI.h"
#include "DialogBarEx.h"

// OtherDialog dialog

class OtherDialog : public DialogBarEx
{
	DECLARE_DYNAMIC(OtherDialog)

public:
	OtherDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~OtherDialog();

// Dialog Data
	enum { IDD = IDD_OTHER };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

private:
	CStatic m_lastErrorStatic;
	CStatic m_lastErrorTextStatic;
	CStatic m_getEventStatic;
	CComboBox m_eventDataCombo;
	CComboBox m_diagnosticCombo;
	CStatic	m_diagnosticStatic;
	CEdit	m_readLengthEdit;

	char *GetResultCodeIdentifierAsText(SIResult result);

public:
	virtual BOOL OnInitDialogBar();
	afx_msg void OnBnClickedGetLastErrorButton();
	afx_msg void OnBnClickedGetLastErrorTextButton();
	afx_msg void OnBnClickedResetButton();
	afx_msg void OnBnClickedGetEventButton();
	afx_msg void OnBnClickedDiagnosticButton();
	afx_msg void OnDiagnosticComboSelectChanged();
};
