using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CSSamplePI
{
	public partial class ProgressDialog : Form
	{
		private bool m_cancelButtonPressed;

		public ProgressDialog()
		{
			InitializeComponent();
			m_cancelButtonPressed = false;
		}

		public uint Percent
		{
			get
			{
				return (uint)progressBar.Value;
			}
			set
			{
				progressBar.Value = (int)value;
			}
		}

		public bool Canceled
		{
			get
			{
				return m_cancelButtonPressed;
			}
		}

		private void ProgressDialog_Load(object sender, EventArgs e)
		{

		}

		private void CancelBtn_Click(object sender, EventArgs e)
		{
			m_cancelButtonPressed = true;
		}
	}
}