#pragma once
#include "afxwin.h"
#include "DialogBarEx.h"

// OpenCloseDialog dialog

class OpenCloseDialog : public DialogBarEx
{
	DECLARE_DYNAMIC(OpenCloseDialog)

public:
	OpenCloseDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~OpenCloseDialog();

// Dialog Data
	enum { IDD = IDD_OPEN_CLOSE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_scannerName;
	afx_msg void OnBnClickedOpenInterfaceButton();
	afx_msg void OnBnClickedCloseInterfaceButton();
	virtual BOOL OnInitDialogBar();

private:
	bool m_interfaceIsOpen;	// This keeps track of the assumed state of the interface.
	CStatic m_interfaceState;

public:
	afx_msg void OnSelectionMadeInScannerNameCombo();
};
